#include <bits/stdc++.h>
#define fi first
#define se second
#define pb push_back

using namespace std;

typedef long long ll;
typedef long double ld;

const ll mod = 1e9+7;

ll bpow(ll a, ll n) {
    ll res = 1;
    while (n) {
        res *= a;
        if (n & 1) a *= a;
        n /= 2;
    }
    return res;
}

const int N = 5e5+52;
const int M = 2e3+52;

ll a[N];
int n, m;
ll  T;
ll pr[N], sf[N];

map<int,vector<int>> sp;

ll f(int i, int j) {
//    cout << i << " " << j << "\n";
//    return 0;
    if (j > i) {
        return (T - (pr[j-1] - pr[i-1]))/a[j] + (j-i);
    }
    else {
//        cout <<(sf[i] - sf[j-1]) << "  ";
        return (T - (pr[i] - pr[j-1]))/a[j] + (i-j);

    }
    return 0;

}

int main() {

    freopen("input.txt","r",stdin);
    freopen("output.txt","w",stdout);
//return 0;
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    ll n,m,g;
    cin >> n >> m >> g;
    cout << m << "\n";
    cout << "-1\n";
    return 0;
}
